function pauseMedia() {
    // Logic necessary to handle libsyn player
    var pauseElement = document.querySelector(".pause");
    if (pauseElement) pauseElement.dispatchEvent(new Event("click"));

    // Logic necessary to handle HTML5 players - audio and video
    var video = document.getElementsByTagName("video");
    var audio = document.getElementsByTagName("audio");

    for(var i = 0; i < video.length; i++) {
       video[i].pause();
    }

    for(var i = 0; i < audio.length; i++) {
       audio[i].pause();
    }
}

function sendPauseMessage() {
    var iframes = window.frames;
    for(var i = 0; i < iframes.length; i++) {
        iframes[i].postMessage("pauseMedia", "*");
    }
}

window.addEventListener('message', function(e) {
    if (e.data != "pauseMedia") return

    pauseMedia()
    sendPauseMessage();
});

